Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream
Class StreamingRoute

    java.lang.Object
      com.saxonica.stream.StreamingRoute

    public class StreamingRoute

extends Object

A StreamingRoute represents the path of events through an expression tree being evaluated in streaming mode. The streaming route starts with a Watch, which is notified by the parser of interesting events. It then proceeds through a series of Feeds which process these events (or items composed from these events) before finally being output to a Receiver which handles the transformation result.

The list of actions is "outermost expression first". This is the opposite of the order in which the events actually pass through the pipeline.

Nested Class Summary
`static class` | `StreamingRoute.PushAction` A PushAction is a collection of data that together represents the strategy for how an expression should be evaluated in push mode.

Constructor Summary
`StreamingRoute()`

Method Summary
`void` | `append(StreamingRoute.PushAction action)`
`StreamingRoute` | `copy()`
`void` | `explain(ExpressionPresenter out)` Display the streaming route for diagnostic purposes
`List<StreamingRoute.PushAction>` | `getRoute()`
`Watch` | `getWatch(WatchManager watchManager, Feed parentFeed, Stack<XPathContext> contextStack)`
`void` | `prepend(StreamingRoute.PushAction action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingRoute

    public StreamingRoute()

Method Detail

### copy

    public StreamingRoute copy()

### append

    public void append(StreamingRoute.PushAction action)

### prepend

    public void prepend(StreamingRoute.PushAction action)

### getRoute

    public List<StreamingRoute.PushAction> getRoute()

### getWatch

    public Watch getWatch(WatchManager watchManager,
                          Feed parentFeed,
                          Stack<XPathContext> contextStack)
                   throws XPathException

  Throws:
    `XPathException`

### explain

    public void explain(ExpressionPresenter out)

  Display the streaming route for diagnostic purposes

  Parameters:
    `out` - the display destination

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.